# PhasicFlow: postprocess Class Reference

postprocess Class Reference
Collaboration diagram for postprocess:
[legend]

## Public Member Functions

| postprocess (systemControl &control)
bool | processTimeFolder (real time, const word &tName, const fileSystem &localFolder)
bool | processTimeFolder (const timeFolder &tFolder)
bool | writeToVTK (fileSystem path, word bName) const

## Protected Member Functions

auto & | timeFolderReposiory ()

## Protected Attributes

systemControl & | control_
dictionary | dict_
wordList | numberBasedDictNames_
wordList | weightBasedDictNames_
uniquePtr< repository > | timeFolderReposiory_ {nullptr}
uniquePtr< pointRectCell > | pointToCell_ {nullptr}
ListPtr< processField > | processedFields_
real | time_ =0.0
Logical | saveTimes {"No"}
Logical | saveTimeFolders {"No"}

## Detailed Description

Definition at line 37 of file postprocess.hpp.

## Constructor & Destructor Documentation

## postprocess()

postprocess | ( | systemControl & | control | ) |

Definition at line 27 of file postprocess.cpp.

References postprocess::dict_, dictionary::dictionaryKeywords(), pFlow::endl(), endREPORT, postprocess::numberBasedDictNames_, REPORT, dictionary::subDictOrCreate(), postprocess::weightBasedDictNames_, and yellowText.

Here is the call graph for this function:

## Member Function Documentation

## timeFolderReposiory()

auto& timeFolderReposiory | ( |  | ) |

inlineprotected

Definition at line 67 of file postprocess.hpp.

References postprocess::timeFolderReposiory_.

## processTimeFolder() [1/2]

bool processTimeFolder | ( | real | time,
|  | const word & | tName,
|  | const fileSystem & | localFolder
| ) |  |

Definition at line 53 of file postprocess.cpp.

References processField::create(), cyanText, pFlow::endl(), endREPORT, fatalExit, pFlow::output, pFlow::pointStructureFile__, objectFile::READ_ALWAYS, REPORT, and objectFile::WRITE_NEVER.

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## processTimeFolder() [2/2]

bool processTimeFolder | ( | const timeFolder & | tFolder | ) |

Definition at line 113 of file postprocess.cpp.

References timeFolder::localFolder(), timeFolder::time(), and timeFolder::timeName().

Here is the call graph for this function:

## writeToVTK()

bool writeToVTK | ( | fileSystem | path,
|  | word | bName
| ) |  | const

Definition at line 122 of file postprocess.cpp.

References endREPORT, fatalErrorInFunction, ForAll, and REPORT.

Referenced by main().

Here is the caller graph for this function:

## Member Data Documentation

## control_

systemControl& control_

protected

Definition at line 41 of file postprocess.hpp.

## dict_

dictionary dict_

protected

Definition at line 43 of file postprocess.hpp.

Referenced by postprocess::postprocess().

## numberBasedDictNames_

wordList numberBasedDictNames_

protected

Definition at line 45 of file postprocess.hpp.

Referenced by postprocess::postprocess().

## weightBasedDictNames_

wordList weightBasedDictNames_

protected

Definition at line 47 of file postprocess.hpp.

Referenced by postprocess::postprocess().

## timeFolderReposiory_

uniquePtr<repository> timeFolderReposiory_ {nullptr}

protected

Definition at line 49 of file postprocess.hpp.

Referenced by postprocess::timeFolderReposiory().

## pointToCell_

uniquePtr<pointRectCell> pointToCell_ {nullptr}

protected

Definition at line 51 of file postprocess.hpp.

## processedFields_

ListPtr<processField> processedFields_

protected

Definition at line 55 of file postprocess.hpp.

## time_

real time_ =0.0

protected

Definition at line 57 of file postprocess.hpp.

## saveTimes

Logical saveTimes {"No"}

protected

Definition at line 62 of file postprocess.hpp.

## saveTimeFolders

Logical saveTimeFolders {"No"}

protected

Definition at line 64 of file postprocess.hpp.

The documentation for this class was generated from the following files:

- utilities/postprocessPhasicFlow/postprocess.hpp
- utilities/postprocessPhasicFlow/postprocess.cpp